BLASTCL3(1)

NAME
blastcl3 - Basic Local Alignment Search Tool client

SYNOPSIS
blastcl3 [-] [-A N] [-C x] [-D N] [-E N] [-F str] [-G N] [-I] [-J] [-K N] [-L start,stop] [-M str] [-O filename] [-Q N] [-R] [-S] [-T] [-U] [-W N] [-X N] [-Y X] [-Z N] [-a N] [-b N] [-d str] [-e X] [-f X] [-g F] [-i filename] [-m N] [-n] [-o filename] -p str [-q N] [-r N] [-s] [-t N] [-u str] [-v N] [-w N] [-y X] [-z X]

DESCRIPTION
blastcl3 accesses the newest NCBI BLAST search engine (version 2.0). The software behind BLAST version 2.0 was written from scratch to allow BLAST to handle the new challenges posed by the sequence databases in the coming years. Updates to this software will continue in the coming years.

It supports multiple types of comparison, governed by the -p ("program") flag:

blastp
    compares an amino acid query sequence against a protein sequence database.

blastn
    compares a nucleotide query sequence against a nucleotide sequence database.

blastx
    compares the six-frame conceptual translation products of a nucleotide query sequence (both strands) against a protein sequence database.

psitblastn
    compares a protein query sequence against a nucleotide sequence database dynamically translated in all six reading frames (both strands) using a position specific matrix created by PSI-BLAST.

tblastn
    compares a protein query sequence against a nucleotide sequence database dynamically translated in all six reading frames (both strands).

tblastx
    compares the six-frame translations of a nucleotide query sequence against the six-frame translations of a nucleotide sequence database.

OPTIONS
A summary of options is included below.

-   Print usage message

-A N
    Multiple Hits window size; generally defaults to 0 (for single-hit extensions), but defaults to 40 when using discontiguous templates.

-C X
    Use composition-based statistics for blastp or tblastn:
    T, t, D, or d
        Default (equivalent to 1)
    0, F, or f
        No composition-based statistics
    1   Composition-based statistics as in NAR 29:2994-3005, 2001
    2   Composition-based score adjustment as in Bioinformatics 21:902-911, 2005, conditioned on sequence properties
    3   Composition-based score adjustment as in Bioinformatics 21:902-911, 2005, unconditionally
    When enabling statistics in blastall, blastall_old, or blastcl3 (i.e., not ), appending u (case-insensitive) to the mode enables use of unified p-values combining alignment and compositional p-values in round 1 only.

-D N
    Translate sequences in the database according to genetic code N in /usr/share/ncbi/data/gc.prt (default is 1; only applies to tblast*)

-E N
    Extending a gap costs N (-1 invokes default behavior)

-F str
    Filter options for DUST or SEG (default is T)

-G N
    Opening a gap costs N (-1 invokes default behavior)

-I  Show GIs in deflines

-J  Believe the query defline

-K N
    Number of best hits from a region to keep. Off by default. If used a value of 100 is recommended.

-L start,stop
    Location on query sequence.

-M str
    Use matrix str (default = BLOSUM62)

-O filename
    Write (ASN.1) sequence alignments to filename..

-P N
    Set to 1 for single-hit mode or 0 for multiple-hit mode (default). Does not apply to blastn.

-Q N
    Translate query according to genetic code N in /usr/share/ncbi/data/gc.prt (default is 1)

-R  RPS Blast search

-S N
    Query strands to search against database for blastn, blastx, tblastx:
    1   top
    2   bottom
    3   both (default)

-T  Produce HTML output

-U  Use lower case filtering for the query sequence

-W N
    Use words of size N (length of best perfect match; zero invokes default behavior -- 11 for blastn [28 in MegaBlast mode], 3 otherwise).

-X N
    X dropoff value for gapped alignment (in bits) (zero invokes default behavior, which varies with "program": 30 for blastn [20 in MegaBlast mode], 0 for tblastx, and 15 for everything else.)

-Y X
    Effective length of the search space (use zero for the real size)

-Z N
    X dropoff value for final [dynamic programming?] gapped alignment in bits (default is 50 for blastn, 0 for tblastx, 25 for others)

-a N
    Number of threads to use (default is one)

-b N
    Number of database sequences to show alignments for (B) (default is 250)

-d str
    Database to use (default is nr)

-e X
    Expectation value (E) (default = 10.0)

-f X
    Threshold for extending hits, default if zero: 0 for blastn, 11 for blastp, 12 for blastx, and 13 for tblastn and tblastx.

-g F
    Do not perform gapped alignment (N/A for tblastx)

-i filename
    Read query sequence or set from filename (default is stdin)

-m N
    alignment view options:
    0   pairwise (default)
    1   query-anchored showing identities
    2   query-anchored, no identities
    3   flat query-anchored, show identities
    4   flat query-anchored, no identities
    5   query-anchored, no identities and blunt ends
    6   flat query-anchored, no identities and blunt ends
    7   XML Blast output
    8   tabular
    9   tabular with comment lines
    10  ASN.1 text
    11  ASN.1 binary

-n  MegaBlast search

-o filename
    Write final alignment report to filename rather than stdout

-p str
    Use the "program" (comparison type) str. The DESCRIPTION section covers this option in more detail.

-q N
    Penalty for a nucleotide mismatch (blastn only) (default = -3)

-r N
    Reward for a nucleotide match (blastn only) (default = -10)

-s  Compute locally optimal Smith-Waterman alignments (only available in gapped tblastn mode).

-t N
    Length of a discontiguous word template (the largest intron allowed in a translated nucleotide sequence when linking multiple distinct assignments; default = 0; negative values disable linking.)

-u str
    Restrict search of database to results of Entrez2 lookup

-v N
    Number of one-line descriptions to show (V) (default = 500)

-w N
    Frame shift penalty (OOF algorithm for blastx)

-y X
    X dropoff for ungapped extensions in bits (0.0 invokes default behavior: 20 for blastn [10 in MegaBlast mode], 7 otherwise).

-z N
    Effective length of the database (use zero for the real size)

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
<http://blast.ncbi.nlm.nih.gov/>.